<?php

namespace DefStudio\GameEngine\Providers;

use Illuminate\Support\ServiceProvider;
use DefStudio\GameEngine\MediaLibrary\MediaPathGenerator;

class MediaLibraryServiceProvider extends ServiceProvider
{
    public function boot(): void
    {
        config()->set('media-library.path_generator', MediaPathGenerator::class);
        config()->set('media-library.moves_media_on_update', true);
    }
}
